apiVersion: apps/v1 #  for k8s versions before 1.9.0 use apps/v1beta2  and before 1.8.0 use extensions/v1beta1
kind: Deployment
metadata:
  name: redis-cli
  namespace: demo
spec:
  selector:
    matchLabels:
      app: redis
      role: cli
      tier: backend
  replicas: 1
  template:
    metadata:
      labels:
        app: redis
        role: cli
        tier: backend
    spec:
      containers:
      - name: cli
        image: redis
          # or just image: redis
        command: ["/bin/sh"]
        args: ["-c", "sleep 100000"]
        resources:
          requests:
            cpu: 100m
            memory: 100Mi
        ports:
        - containerPort: 6379
      restartPolicy: Always
